<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css" integrity="sha384-oS3vJWv+0UjzBfQzYUhtDYW+Pj2yciDJxpsK1OYPAYjqT085Qq/1cq5FLXAZQ7Ay" crossorigin="anonymous">
<style type="text/css">
	body{
		margin:0;
		height:155vh;
		width:100vw;
		color: powderblue;
		display: flex;
		flex-direction: column;
	}
	.topbar{
		height: 15vh;
		width: 100vw;
		opacity: 1;
		z-index: 1;
		position: absolute;
		display: flex;
		justify-content: center;
		align-items: center;
		font-size: 1em;
	}
	.logo{
		width: 40%;
		height: auto;
		display: flex;
		justify-content: center;
		align-items: center;
	}
	.menu{
		flex:1;
		display: flex;
		justify-content: center;
		align-items: center;
	}
	.items{
		margin-left: 15px;
	}
	i{
		margin: 10px;
	}
	button{
		background: none;
		border:1px solid black;
		height: 25px;
		transition: .5s;
		background: powderblue;
	}
	button:hover{
		
		color: white;
	}
	.cover-pic{

		height: 100vh;
		width: 100vw;
	}
	.des{
		width: 100vw;
		height: 50vh;
		display: flex;
		justify-content: center;
		align-items: center;
		background:black;
		
	}
	.des>div{
		padding: 28px;
		margin: 25px;
		text-align: center;
		background: powderblue;
		color: black;
		transition: 1s;
	}
	.disappear>div{
		opacity: 0;
		transform: translateY(100vh);
	}
	.appear>div{
		opacity: 1;
		transform: translateX(0);
	}

	.des>div:nth-child(1){
		transition: 1s;
	}
	.des>div:nth-child(2){
		transition:2s;
	}
	.des>div:nth-child(3){
		transition: 3s;
	}
</style>

<body>
	<div class="topbar">
		<div class="logo">
			<i class="fas fa-layer-group"></i>Stack
		</div>
		<div class="menu">
			<div class="items">Home</div>
			<div class="items">Pages</div>
			<div class="items">Contact</div>
			<div class="items">
				<button>LOG IN</button>
			</div>
			<div class="items">
				<button>SIGN UP</button>
			</div>
		</div>
	</div>
	<div class="cover-pic" id="home">
	
	</div>
	<div class="des  disappear" id="services">

		<div> 
			<div class="icon"><i class="fas fa-layer-group"></i></div>
			<div class="ttl">stack</div>
			<div class="txt">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
			quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
			consequat. </div>
		</div>
		<div> 
			<div class="icon"><i class="fas fa-layer-group"></i></div>
			<div class="ttl">stack</div>
			<div class="txt">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
			quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
			consequat. </div>
		</div><div> 
			<div class="icon"><i class="fas fa-layer-group"></i></div>
			<div class="ttl">stack</div>
			<div class="txt">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
			quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
			consequat. </div>
		</div>
	</div>
</body>
<script type="text/javascript">
		document.addEventListener('scroll', function () {
			scroll = window.pageYOffset;
			console.log(scroll);
			if(scroll>300){
				document.getElementById('services').classList.remove('disappear');
				document.getElementById('services').classList.add('appear');
			}else{
				document.getElementById('services').classList.remove('appear');
				document.getElementById('services').classList.add('disappear');
			}

		});
</script>
</html>